.header {
  position: relative;

  .header-inner {
    width: 100%;
    height: 70px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: #fff;

    .burger {
      width: 18px;
      height: 18px;
      display: flex;
      flex-direction: column;
      justify-content: space-between;
      display: none;

      span {
        width: 100%;
        height: 0.75px;
        background-color: #2d2d2d;
      }

      @media screen and (max-width: 1140px) {
        display: flex;
      }
    }

    .navbar {
      align-self: flex-end;
      .navbar-list {
        display: flex;
        align-self: flex-end;

        .navbar-item {
          margin-right: 16px;
          transition: 0.23s;
          padding-bottom: 24px;
          border-bottom: 3px solid transparent;

          &:last-of-type {
            margin-right: 0;
          }

          &:hover {
            border-bottom: 3px solid #2d2d2d;
          }

          .navbar-link {
            font-size: 14px;
            line-height: 19px;
            color: #5a5a5a;
          }

          .dropedown-block {
            position: absolute;
            width: 100vw;
            top: 99%;
            left: 0;
            background-color: #fff;
            padding: 18px 0 48px;
            display: none;

            .filter-title {
              margin-bottom: 16px;
              font-size: 13px;
              line-height: 18px;
              letter-spacing: 1px;
            }

            .filter-item-wrapper {
              display: flex;

              .filter-item-card {
                margin-right: 32px;
                padding: 32px;
                background-color: #fff;

                &:last-of-type {
                  margin-right: 0;
                }

                img {
                  margin-bottom: 8px;
                }

                .filter-name {
                  font-size: 14px;
                  line-height: 19px;
                  color: #2d2d2d;
                  margin-bottom: 4px;
                }

                .filter-des {
                  font-size: 14px;
                  line-height: 19px;
                  color: #2d2d2d;
                }
              }
            }
          }

          @media screen and (min-width: 1140px) {
            &:hover {
              .dropedown-block {
                display: block;
              }
            }
          }
        }
      }
    }

    .basket {
      position: relative;

      .basket-button {
        width: 24px;
        height: 24px;
        background: transparent;
        display: flex;
        position: relative;

        span {
          height: 14px;
          width: 14px;
          position: absolute;
          top: -20%;
          right: -20%;
          border-radius: 50%;
          align-self: flex-start;
          background: #ffe5db;
          display: flex;
          justify-content: center;
          align-items: center;
          font-size: 10px;
          line-height: 14px;
          color: #2d2d2d;
        }
      }
    }
  }
}

@media screen and (max-width: 1140px) {
  .header {
    .header-swiper {
      display: none;
    }

    .header-inner {
      height: 60px;

      .navbar {
        position: fixed;
        width: 100%;
        height: calc(100vh - 60px);
        top: 60px;
        left: -100%;
        z-index: 4;
        background-color: #2d2d2d;
        transition: 0.23s;

        .navbar-list {
          flex-direction: column;

          .navbar-item {
            padding: 12px 16px;
            border-bottom: 1px solid rgba(204, 204, 204, 0.1);

            .navbar-link {
              font-weight: 600;
              font-size: 12px;
              line-height: 16px;
              color: #ffffff;
            }
          }
        }
      }
    }

    &.opened {
      background-color: #2d2d2d;

      .header-inner {
        background: #2d2d2d;
        .burger {
          span {
            background-color: #ffffff;
          }
        }

        .brand {
          color: #ffffff;
        }

        .navbar {
          left: 0;
        }

        .basket {
          .basket-button {
            svg {
              path {
                fill: #ffffff;
              }
            }
          }
        }
      }
    }
  }
}
